Skip to content

Order event tickets

POST
/public/v1/tickets
curl --request POST \
--url https://example.kwickbooking.com/public/v1/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "eventInstanceId": "01920000-0000-7000-8000-000000000005", "tierId": "01920000-0000-7000-8000-000000000006", "quantity": 2, "guestId": null, "contactId": null }'

Holds tickets for an event date and returns a checkout link for the guest to pay. Send an Idempotency-Key header.

Media typeapplication/json

Request to order tickets for an event instance tier.

object
eventInstanceId
required
string format: uuid
tierId
required
string format: uuid
quantity
required
integer format: int32
guestId
required
null | string format: uuid
contactId
required
null | string format: uuid
Example
{
"eventInstanceId": "01920000-0000-7000-8000-000000000005",
"tierId": "01920000-0000-7000-8000-000000000006",
"quantity": 2,
"guestId": null,
"contactId": null
}

Created

Media typeapplication/json

A booking made from a hold: its state, the checkout link when a deposit is due, and its reference.

object
bookingId
required
string format: uuid
state
required
string
checkoutUrl
required
null | string
reference
null | string
Example
{
"bookingId": "01920000-0000-7000-8000-000000000007",
"state": "Hold",
"checkoutUrl": "https://example.kwickbooking.com/public/v1/pay/…",
"reference": "48271936"
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples

Venue required

{
"type": "https://developers.kwickblocks.ai/problems/venue-required",
"title": "Venue required",
"status": 400,
"detail": "Please say which venue this is for."
}

Invalid or missing integration key (https://developers.kwickblocks.ai/problems/invalid-key)

Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Exampleinvalid-key

Invalid or missing integration key

{
"type": "https://developers.kwickblocks.ai/problems/invalid-key",
"title": "Invalid or missing integration key",
"status": 401,
"detail": "This integration key isn't valid. Ask the venue's admin for a new one."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplecapability-missing

Capability not granted

{
"type": "https://developers.kwickblocks.ai/problems/capability-missing",
"title": "Capability not granted",
"status": 403,
"detail": "This integration key isn't allowed to do that. Ask the venue's admin to add the capability."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplevenue-not-found

Venue not found

{
"type": "https://developers.kwickblocks.ai/problems/venue-not-found",
"title": "Venue not found",
"status": 404,
"detail": "I couldn't find that venue."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples

Idempotency-Key conflict

{
"type": "https://developers.kwickblocks.ai/problems/idempotency-conflict",
"title": "Idempotency-Key conflict",
"status": 409,
"detail": "That Idempotency-Key was already used for a different request."
}
Media typeapplication/problem+json

RFC 9457 problem details. type is a URI with a page describing the problem.

object
type
required
string format: uri
title
required
string
status
required
integer format: int32
detail
required

Safe to read to a guest.

string
instance
string
traceId
string
code

A machine-readable code on the widget’s routes.

string
Examples
Examplerate-limited

Too many requests

{
"type": "https://developers.kwickblocks.ai/problems/rate-limited",
"title": "Too many requests",
"status": 429,
"detail": "There have been too many requests. Please try again in a minute."
}